Bug 9490 - Show responsibility statement (245c) under title and move authors down in OPAC XSLT
Summary: Show responsibility statement (245c) under title and move authors down in OPA...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-25 12:31 UTC by Marcel de Rooy
Modified: 2017-06-14 22:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Example patch for opac detail (2.33 KB, patch)
2013-01-25 12:33 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Exampla patch for opac results (2.03 KB, patch)
2013-01-25 12:34 UTC, Marcel de Rooy
Details | Diff | Splinter Review
authors below title (120.16 KB, image/png)
2013-01-25 13:15 UTC, Nicole C. Engard
Details
detail page with authors below (36.38 KB, image/png)
2013-01-25 13:16 UTC, Nicole C. Engard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2013-01-25 12:31:28 UTC
In opac results and opac detail xslt a list of all "authors" is shown under the title, built from 1XX and 7XX in MARC21.
Not all entries in 7XX will be authors.

People writing an introduction, illustrating a book, etc. will be in 7XX. They are not authors. Showing the statement of responsibility under the title here will be more clear (IMO) in opac results and opac detail. 
Moving the author and all 7XXs under one heading like "name entries" or something better (suggestions are welcome..) keeps them available for clicking etc. (At least in opac detail)

Another (perhaps less obvious) example, we have lots of auction catalogs with the auction house in 110 and the collectioners in 700. They (most always) have no 245c. The auction house is most often also the publisher. We would like to list the auction house as publisher on opac results and show auction house and collectioners under name entries in opac detail.

I attach two example patches that I am using now just as illustration. They will not apply in master because they come from a slightly customized 3.8.

Some examples from our catalog:
[Showing the auction catalogs:]  http://library.rijksmuseum.nl/cgi-bin/koha/opac-search.pl?idx=kw&idx=kw&idx=kw&do=Search&limit=mc-itemtype%2Cphr%3AAUC&sort_by=pubdate_dsc
[opac results: resp. stat. under title:] http://library.rijksmuseum.nl/cgi-bin/koha/opac-search.pl?q=vermeer
[opac detail: resp. stat. and name entries:] http://library.rijksmuseum.nl/cgi-bin/koha/opac-detail.pl?biblionumber=210541

Before rebasing this to master, I hope to get some feedback from you. What do you think? Would such a change benefit a general library too? Would it need yet another syspref :) ?
Comment 1 Marcel de Rooy 2013-01-25 12:33:02 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2013-01-25 12:34:02 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2013-01-25 13:15:24 UTC
Created attachment 14848 [details]
authors below title

I'm not sure I understand what you're saying.  I have XSLT on and it lists the authors below the title already.  It's only with XSLT off I think that the authors show to the left of the title.
Comment 4 Nicole C. Engard 2013-01-25 13:16:06 UTC
Created attachment 14849 [details]
detail page with authors below

And on the detail page it shows the authors below the title with a note about what type of additional author they are in brackets.

This is on Master.
Comment 5 Marcel de Rooy 2013-01-25 15:56:18 UTC
(In reply to comment #3)
> I'm not sure I understand what you're saying.  I have XSLT on and it lists
> the authors below the title already.  It's only with XSLT off I think that
> the authors show to the left of the title.
To clarify: The authors are listed, that's true. But they are not always authors or even additional authors. The resp.statement may even contain some additional information, making it richer than just listing 1xx/7xx.
Comment 6 Ann Murphy 2013-01-30 02:57:24 UTC
I should like the ability to chose between the Author field and the the 245c field as it makes the record read better for students, so it will be Harry Potter and the Deathly Hallows by J. K. Rowling rather than Harry Potter and the Deathly Hallows by Rowling, J. K. — so much nicer to look at. To me the 100a field is just to search on.

> Before rebasing this to master, I hope to get some feedback from you. What
> do you think? Would such a change benefit a general library too? Would it
> need yet another syspref :) ?
Comment 7 Marcel de Rooy 2013-11-11 08:47:42 UTC
Saving a response from the dev list here:

Is Bug 9490 - "Show responsibility statement (245c) under title and move 
authors down in OPAC XSLT" the best (only?) way to go?

Or is there a "quick" (js?) way to show MARC 245$s (statement of 
responsibility) in the OPAC "normal view"?  [Koha 3.8.5]

It's a request from our cataloguers who held a "Koha workshop" with a 
number of users (university profs and students) earlier this 
week.  Marcel's proposal seems to fit the requirement perfectly.

Thanks and br,
Paul A <paul.a@navalmarinearchive.com>
Comment 8 Marcel de Rooy 2016-08-10 11:40:27 UTC
Revisiting this discussion again, I think that bug 13381 (adding the responsibiliby statement to results display) makes it no longer necessary to keep this open.